<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.BeaconManager.ranging">
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-feature android:name="android.hardware.bluetooth_le" android:required="true"/>
    <application
        tools:replace="android:icon"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <activity android:name="com.BeaconManager.application.MainActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait"
            android:configChanges="orientation|keyboardHidden"
            android:windowSoftInputMode="adjustPan"
            >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
                <category android:name="android.intent.category.HOME"/>
            </intent-filter>
        </activity>
        <activity android:name="org.ros.android.MasterChooser"
            android:parentActivityName="com.BeaconManager.application.MainActivity">
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.BeaconManager.application.MainActivity"/>
        </activity>
        <service android:name="org.ros.android.NodeMainExecutorService">
            <intent-filter>
                <action android:name="org.ros.android.NodeMainExecutorService"/>
            </intent-filter>
        </service>
        <service
            android:name="com.BeaconManager.beaconService.BeaconService"
            android:exported="false">
            <intent-filter>
                <action android:name="com.kcasareo.beaconService.IBeaconService" />
            </intent-filter>
        </service>
    </application>
</manifest>